﻿class BallSprite extends Sprite
{
	private var _speed:Number
	private var _dx:Number
	private var _dy:Number
	
	/*
		Class Constructor
	*/ 
	function BallSprite(timeline:MovieClip, sourceMc:String, px:Number, py:Number, isActive:Boolean, sp:Number)
	{
		super(timeline, sourceMc, px, py, isActive)
		
		if (sp >= 0 && sp <= 10)
			_speed = sp
		else
			_speed = 5
		
		dx = 1
		dy = -1
	}
	
	/*
		_speed getter/setter
	*/ 
	public function get speed():Number
	{
		return _speed
	}
	
	public function set speed(sp:Number):Void
	{
		if (sp >=0 && sp <= 10)
			_speed = sp
	}
	
	/*
		_dx getter/setter
	*/ 
	public function get dx():Number
	{
		return _dx
	}
	
	public function set dx(d:Number):Void
	{
		if (Math.abs(d) == 1)
			_dx = d
	}
	
	/*
		_dy getter/setter
	*/
	public function get dy():Number
	{
		return _dy
	}
	
	public function set dy(d:Number):Void
	{
		if (Math.abs(d) == 1)
			_dy = d
	}
	
}